package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.TaskLog;

/**
 * 任务日志Mapper接口
 * 
 * @author chenpf
 * @date 2022-01-06
 */
public interface TaskLogMapper {
    /**
     * 查询任务日志
     * 
     * @param id 任务日志主键
     * @return 任务日志
     */
    TaskLog selectTaskLogById(Long id);

    /**
     * 查询任务日志列表
     * 
     * @param taskLog 任务日志
     * @return 任务日志集合
     */
    List<TaskLog> selectTaskLogList(TaskLog taskLog);

    /**
     * 新增任务日志
     * 
     * @param taskLog 任务日志
     * @return 结果
     */
    int insertTaskLog(TaskLog taskLog);

    /**
     * 修改任务日志
     * 
     * @param taskLog 任务日志
     * @return 结果
     */
    int updateTaskLog(TaskLog taskLog);

    /**
     * 删除任务日志
     * 
     * @param id 任务日志主键
     * @return 结果
     */
    int deleteTaskLogById(Long id);

    /**
     * 批量删除任务日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTaskLogByIds(Long[] ids);
}
